package com.zhentao.common.constant;

/**
 * @className: BestConstants
 * @Description:
 * @author: zhangxiong
 * @date: 2022/4/23/0023 20:58
 */
public class BestConstants {
    public static final Integer BASE_SHOW = 1;
    public static final Integer BASE_FALSE = 0;
    public static final int MAX_QUERY_SIZE = 10;
    public static final int MIN_QUERY_CURRENT = 1;
    public static final String OVER_QUERY_SIZE = "超出最大查询长度";
    //销售规格
    public static final Integer ITEM_TYPE_SPECIFICATIONS = 1;
    //基础属性
    public static final Integer ITEM_TYPE_PROPERTIES = 2;

    public static final String BTB_MINI_CAROUSEL = "btb_mini_carousel";
    public static final String BTB_MINI_ADVERTS = "btb_mini_adverts";
    public static final String BTB_MINI_NAVIGATION = "btb_mini_navigation";
    public static final String BTB_TEAMBUY = "btb_teambuy";
    public static final String BTB_CONFIG_FOOTER = "btb_config_footer";
    public static final String BTB_MINI_CONFIG = "btb_mini_config";

    public static final String GOODS_NOT_FOUND = "商品已下架!";
    public static final String TB_GOODS_NOT_FOUND = "团购商品不存在!";
    public static final String CART_ITEM_ERROR_MSG = "购物车不存在!";
    public static final String ORDER_NOT_FOUND = "订单不存在!";
    public static final String NUM_ERROR_MSG = "数量异常!";
    public static final String TYPE_ERROR_MSG = "类型异常!";
    public static final String FILE_UPLOAD_ERROR = "文件上传异常!";
    public static final String DATA_NOT_FOUND_MSG = "数据未找到!";
    public static final String CURRENT_ADDRESS_CANT = "当前区域无法购买!";
    //立即购买
    public static final Integer PACKAGE_TYPE_NOW = 1;
    //购物车购买
    public static final Integer PACKAGE_TYPE_CART = 2;
    public static final String PACKAGE_TYPE_ERROR = "状态异常!";
    //删除购物车
    public static final Integer REMOVE_CART = 1;
    //删除购物车明细
    public static final Integer REMOVE_CART_ITEM = 2;
    //编辑购物车数量
    public static final Integer MODIFY_CART_ITEM = 3;
    //正常购买
    public static final Integer TYPE_NORMAL_BUY = 1;
    //团购类型
    public static final Integer TYPE_BUY_TEAM = 2;
    //狐狸金抵用
    public static final Integer TYPE_FOX_DEDUCT = 1;
    //自定义返回码
    public static final Integer OTHER_RESULT_CODE = 2;
    public static final String COUPON_OVER_MSG = "优惠券已过期!";
    public static final String COUPON_NOT_FOUND_MSG = "优惠券不存在!";
    public static final String COUPON_USED_ERROR_MSG = "优惠券已被使用!";
    public static final String COUPON_TEBUY_ERROR_MSG = "优惠券专场不匹配!";
    public static final String COUPON_GOOD_ERROR_MSG = "优惠券商品不匹配!";
    public static final String COUPON_LIMIT_ERROR_MSG = "优惠券满减未达标!";
    public static final String COUPON_USED_MONEY_ERROR_MSG = "优惠券抵用金额异常!";
    public static final Integer FOX_RECEIVE_TYPE_USER = 6;
    //狐狸金企业扫码
    public static final Integer FOX_RECEIVE_TYPE_ENTERPRISE = 7;
    //所有商品
    public static final Integer COUPON_TYPE_ALL = 0;
    //指定商品
    public static final Integer COUPON_TYPE_GOOD = 1;
    //指定分类
    public static final Integer COUPON_TYPE_CATE = 2;
    //指定专场
    public static final Integer COUPON_TYPE_TEBUY = 3;

    //指定标签
    public static final Integer COUPON_TYPE_TAG=4;
    //限制消费金额
    public static final Integer COUPON_LIMIT_TRUE = 1;
    public static final Integer ORDER_TYPE_ALL = 0;
    public static final Integer ORDER_TYPE_PAY = 1;
    //待发货
    public static final Integer ORDER_TYPE_DELIVERY = 2;
    //待收货
    public static final Integer ORDER_TYPE_RECEIPT = 3;
    //退款
    public static final Integer ORDER_TYPE_REFUND = 4;
    //售后
    public static final Integer ORDER_TYPE_AFTER_SALES = 5;
    //取消订单
    public static final Integer ORDER_TYPE_CANCEL = 6;
    //订单完成
    public static final Integer ORDER_TYPE_FINISH = 7;

    public static final Integer ORDER_HAS_PAY = 1;
    //订单有退款
    public static final Integer ORDER_NOT_REFUND = 0;
    public static final Integer ORDER_HAS_REFUND = 1;
    public static final String ORDER_CANCEL_ERROR_MSG = "取消订单失败!";
    public static final String ORDER_STOCK_CANCEL_ERROR_MSG = "取消订单失败!!";
    public static final Integer TYPE_PROVINCE = 1;
    public static final Integer TYPE_CITY = 2;
    public static final Integer TYPE_AREA = 3;
    public static final Integer TYPE_STREET = 4;
    public static final int DEFAULT_QR_CODE_SIZE = 176;
    public static final String GOODS_CATE_IMG = "goods_cate_img";
    public static final String GOODS_DETAIL_LOGO = "goods_detail_logo";
    public static final String MINI_PATH_KEY = "mini_path";
    //内购会跳转链接
    public static final String INSIDE_PATH_KEY = "inside_path";

    public static final String TOKEN_IS_NULL = "token is null";
    //配置表内剔除提现手续费的比例
    public static final String SERVICE_CHARGE = "service_charge";
    //推荐分佣比例
    public static final String RECOMMEND_C = "recommend_c";
    public static final String TB_PROCESS_BEGIN = "tb_process_begin";
    public static final String TB_PROCESS_END = "tb_process_end";
    public static final Integer TB_PROCESS_BEGIN_VAL = 1;
    public static final Integer TB_PROCESS_OTHER_VAL = 2;
    public static final Integer TB_PROCESS_END_VAL = 3;
    public static final String WEIXIN_ENTERPRISE_DEFAULT_IMG = "default_weixin_img";
    public static final String WEIXIN_ENTERPRISE_DEFAULT_NAME = "default_weixin_name";
    public static final String WEIXIN_ENTERPRISE_DEFAULT_URL = "default_weixin_url";
    public static final String WEIXIN_ENTERPRISE_DEFAULT_PIC = "default_weixin_pic";

    //运费加价按数量加
    public static final Integer EXPENSES_TYPE_COUNT = 1;
    //超级推手业务员分享
    public static final Integer SHARE_BY_PUSHER = 1;
    //惟客优品超级推手业务员分享
    public static final Integer SHARE_BY_BEST_PUSHER = 2;
    //惟客优品普通用户分享
    public static final Integer SHARE_BY_BEST = 2;
    //惟客优品短链接分享进入
    public static final Integer SHARE_BY_SHORT_LINK = 2;
    //微信返回错误码为0为正常
    public static final Integer WX_MINI_CODE_NO_ERROR = 0;
    //分享商品时间
    public static final String SHARE_CONFIG_KEY = "share";
    //今日主推
    public static final String TODAY_FEATURED_KEY = "1";
    public static final Integer TEAMBUY_TODAY_FEATURED = 1;
    //品牌专场
    public static final String BRAND_SPECIAL_KEY = "2";
    public static final Integer TEAMBUY_BRAND_SPECIAL = 2;
    //内购会
    public static final Integer TEAMBUY_INSIDER = 3;
    //日常购买,带商品分类
    public static final String DAILY_BUY_KEY = "3";
    //供应商分组
    public static final String CONFIG_SUPPLIER_GROUP = "supplier_group";
    //团购类型内购会
    public static final Integer TEBUY_TYPE_INSIDE = 3;
    //购物金已被使用
    public static final Integer INSIDE_SHOPPING_USED = 2;
    //优惠券领用限制
    public static final String CONFIG_COUPON_LIMIT = "coupon_limit";
    public static final Integer COUPON_SEND_AUTO_TYPE = 3;
    //按天领取优惠卷
    public static final Integer COUPON_VALID_FLAG_DAY_TYPE = 0;
    //扫企业卡
    public static final Integer SCAN_CARD_TYPE_ENTER = 1;
    //短链接邀请
    public static final Integer SCAN_CARD_TYPE_INVITE = 2;
    public static final String USER_NOT_FOUND = "用户不存在!";
    public static final String PARAMS_ERROR_MSG = "参数异常!";
    public static final String LOTTERY_NOT_FOUND = "此抽奖活动不存在!";
    public static final String LOTTERY_NOT_CHANCE = "没有抽奖次数!";
    public static final String LOTTERY_DREW_SUCCESS ="抽奖成功!";
    public static final String LOTTERY_DREW_FAILED="抽奖失败!";
    public static final String LOTTERY_DREW_ERROR="点击太快,请重新尝试!";
    public static final String LOTTERY_CHANCE_SUCCESS ="成功获得抽奖次数!";
    public static final String LOTTERY_CHANCE_FAILED ="获得抽奖次数失败!";
    public static final String LOTTERY_CHANCE_REPEAT ="无法重复获得次数!";
    public static final String BASE_NOT_LOGIN = "账号未登录!";
    //企业发放狐狸金
    public static final Integer FOX_RECEIVE_ENTERPRISE = 1;
    //个人转发狐狸金
    public static final Integer FOX_RECEIVE_USER = 2;
    //主卡
    public static final Integer CARD_TYPE_MASTER = 1;
    //副卡
    public static final Integer CARD_TYPE_SLAVE =2;
    //副卡在会员中心看到的卡片
    public static final Integer CARD_TYPE_SLAVE_SHOW =3;
    public static final Integer CARD_VIP_HALF_MONTH =1;
    public static final Integer CARD_VIP_ONE_YEAR =2;
    public static final Integer CARD_VIP_TWO_YEARS =3;
    //扫会员卡
    public static final Integer CARD_SCAN_VIP = 1;
    //扫企业卡
    public static final Integer CARD_SCAN_ENTERPRISE = 2;
    //已领取
    public static final Integer CARD_STATUS_HAS = 2;
    //待领取
    public static final Integer CARD_STATUS_CAN = 1;
    //不能领
    public static final Integer CARD_STATUS_CANT = 0;

    public static final Long SAN_XIANG_BANK_ID = 443611075020201984L;
    public static final Integer USER_NOT_PHONE_CODE = 110;
    public static final String USER_NOT_PHONE_MSG = "请先绑定手机号!";

    //企业价
    public static final Integer priceTypeEnterAdd=1;
    //普通京东价
    public static final Integer priceTypeNormalAdd=2;
    //活动优惠券
    public static final String activeCoupon="activeCoupon";
    //删除标识
    public static final Integer delFlag=1;
    //过期
    public static final Integer invalidLosed=1;
    //结算版本
    public static final Integer setNewVersion3=3;
    //第一结算版
    public static final Integer setVersion1=0;

    //默认过期时间
    public static final Integer defaultExpDate=7;
    //会员过期key
    public static final String memberDownGrade="member_down_grade";
    //过期扣狐豆数
    public static final String memberDownGradeDeductFoxBean="member_down_fox_bean";

    public static final String expTimeException="过期时间异常";
    public static final Integer newUserLimitBuy=9;
    public static final String payFullMoneyGive="pay_full_money_give";
    public static final String isNewUser="is_new_user";

}
